## libde265 0.8

=== dec265/CMakeLists.txt ===
set(CMAKE_CONFIGURATION_TYPES "Debug;Release;RelWithDebInfo" CACHE STRING "Configurations" FORCE)

if(NOT CMAKE_BUILD_TYPE)
    # default to Release build for GCC builds
    set(CMAKE_BUILD_TYPE Release CACHE STRING
        "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release."
        FORCE)
endif()

project (dec265)
cmake_minimum_required (VERSION 2.8)

SET(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/../cmake" "${CMAKE_MODULE_PATH}")

if ("${CMAKE_SIZEOF_VOID_P}" MATCHES 8)
    set(X64 1)
    add_definitions(-DX86_64)
endif()

# Enforce coding standards.  Full warnings and warnings as errors
if(MSVC)
    add_definitions(/W4 /D_CRT_SECURE_NO_WARNINGS)
    add_definitions(/Ob2) # always inline
    add_definitions(/Oi)  # enable intrinsics
#    add_definitions(/MP)  # multithreaded build
#    add_definitions(/TP)  # all files as cpp

    include_directories(../extra)
endif(MSVC)

if("$ENV{CXX}" STREQUAL "icpc")
    set(GCC 1)
    add_definitions(-Wall -Wextra -Wunused-variable -Wunused-function -Wshadow -no-vec -msse4)
elseif(CMAKE_COMPILER_IS_GNUCXX)
    set(GCC 1)
    add_definitions(-Wall -Wextra -Wunused-variable -Wunused-function -Wshadow -msse4)
endif()

option(USE_ASM "Use SSE41 SIMD optimize" ON)
if(USE_ASM)
    add_definitions(-DUSE_ASM=ASM_SSE4)
    add_definitions(-DHAVE_SSE4_1)
else(USE_ASM)
    add_definitions(-DUSE_ASM=ASM_NONE)
endif(USE_ASM)

option(USE_VIDEOGFX "Use of VIDEOGFX" OFF)
if(USE_VIDEOGFX)
    add_definitions(-D HAVE_VIDEOGFX=1)
else(USE_VIDEOGFX)
    add_definitions(-D HAVE_VIDEOGFX=0)
endif(USE_VIDEOGFX)

option(BUILD_STATIC  "Static Lib" ON)
if(BUILD_STATIC)
    add_definitions(-DLIBDE265_STATIC_BUILD)
endif(BUILD_STATIC)

option(DE265_LOG_ERROR  "Enable DE265_LOG_ERROR" OFF)
if(DE265_LOG_ERROR)
    add_definitions(-DDE265_LOG_ERROR)
endif(DE265_LOG_ERROR)

option(DE265_LOG_INFO   "Enable DE265_LOG_INFO"  OFF)
if(DE265_LOG_INFO)
    add_definitions(-DDE265_LOG_INFO)
endif(DE265_LOG_INFO)

option(DE265_LOG_DEBUG  "Enable DE265_LOG_DEBUG" OFF)
if(DE265_LOG_DEBUG)
    add_definitions(-DDE265_LOG_DEBUG)
endif(DE265_LOG_DEBUG)

option(DE265_LOG_TRACE  "Enable DE265_LOG_TRACE" OFF)
if(DE265_LOG_TRACE)
    add_definitions(-DDE265_LOG_TRACE)
endif(DE265_LOG_TRACE)

include_directories(../ ../libde265)

file(GLOB LIBSRC ../libde265/*.c ../extra/*.c)
file(GLOB LIBINC ../libde265/*.h ../extra/*.h)
file(GLOB APPSRC dec265.cc)
file(GLOB ASMSRC0 ../libde265/x86/sse.c ../libde265/x86/sse-dct.c)
file(GLOB ASMSRC1 ../libde265/x86/sse-motion.c)
file(GLOB ASMINC ../libde265/x86/*.h)

source_group(INC  FILES ${LIBINC})
source_group(SRC  FILES ${LIBSRC})
source_group(APP  FILES ${APPSRC})
source_group(ASM  FILES ${ASMSRC0} ${ASMSRC1} ${ASMINC})

if(USE_ASM)
    SET(LIBSRC ${LIBSRC} ${ASMSRC0} ${ASMSRC1})
    SET(LIBINC ${LIBINC} ${ASMINC})

    # disable uninitialize check on VC, because x1 is not assign, remove later
    #if(MSVC)
    #    SET_SOURCE_FILES_PROPERTIES(${ASMSRC1} PROPERTIES COMPILE_FLAGS "/RTCs")
    #endif(MSVC)
endif(USE_ASM)

if(UNIX)
    SET(PLATFORM_LIBS pthread rt m)
    SET_SOURCE_FILES_PROPERTIES(../extra/win32thread.c PROPERTIES HEADER_FILE_ONLY TRUE)
endif(UNIX)

# Main CLI application
if(MSVC)
    add_definitions(/wd4244) # type conversion, possible loss of data
    add_definitions(/wd4100) # unreferenced formal parameter
    add_definitions(/wd4505) # unreferenced local function has been removed
    add_definitions(/wd4701) # potentially uninitialized local variable
    add_definitions(/wd4127) # conditional expression is constant
#    add_definitions(/wd4018) # signed/unsigned mismatch
    add_definitions(/wd4189) # local variable is initialized but not referenced
    add_definitions(/wd4715) # not all control paths return a value
    add_definitions(/wd4324) # structure was padded due to __declspec(align())

    set_source_files_properties(${LIBSRC} PROPERTIES LANGUAGE CXX)
endif(MSVC)
if(GCC)
    add_definitions(-Wno-sign-compare)
    add_definitions(-Wno-unused-parameter)
endif(GCC)

add_executable(dec265
    ${APPSRC} ${EXTRAS} ${LIBSRC} ${LIBINC}
)

target_link_libraries(dec265 ${PLATFORM_LIBS})

=== debian/changelog ===
libde265 (0.8-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 22:23:42 +0100

libde265 (0.8-1) unstable; urgency=low

  * Initial release. (Closes: #744190)

 -- Joachim Bauch <bauch@struktur.de>  Fri, 08 Aug 2014 17:23:37 +0200

=== debian/control ===
Source: libde265
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Joachim Bauch <bauch@struktur.de>
Build-Depends:
 autoconf,
 automake,
 debhelper (>= 9~),
 dh-autoreconf,
 libjpeg-dev,
 libpng-dev,
 libqt4-dev,
 libsdl-dev,
 libswscale-dev,
 libtool,
 libx11-dev,
 libxext-dev,
 libxv-dev,
 pkg-config,
 quilt
Standards-Version: 3.9.5
Homepage: https://github.com/strukturag/libde265
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/libde265.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libde265.git

Package: libde265-0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Open H.265 video codec implementation
 libde265 is an open source implementation of the H.265 video codec.
 It is written from scratch in plain C for simplicity and efficiency.
 Its simple API makes it easy to integrate it into other software.

Package: libde265-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends:
 libde265-0 (= ${binary:Version}),
 ${misc:Depends}
Description: Open H.265 video codec implementation - development files
 libde265 is an open source implementation of the H.265 video codec.
 It is written from scratch in plain C for simplicity and efficiency.
 Its simple API makes it easy to integrate it into other software.
 .
 The development headers for compiling programs that use libde265
 are provided by this package.

Package: libde265-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libde265-0 (= ${binary:Version}),
 ${misc:Depends}
Description: Open H.265 video codec implementation - debug symbols
 libde265 is an open source implementation of the H.265 video codec.
 It is written from scratch in plain C for simplicity and efficiency.
 Its simple API makes it easy to integrate it into other software.
 .
 The debugging symbols for tracking down bugs in applications that
 use libde265 are provided by this package.

Package: libde265-examples
Section: video
Architecture: any
Depends:
 libde265-0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Open H.265 video codec implementation - examples
 libde265 is an open source implementation of the H.265 video codec.
 It is written from scratch in plain C for simplicity and efficiency.
 Its simple API makes it easy to integrate it into other software.
 .
 Sample applications using libde265 are provided by this package.

## libde265 0.9

=== dec265/CMakeLists.txt ===
--- 
+++ 
@@ -78,11 +78,11 @@
 
 include_directories(../ ../libde265)
 
-file(GLOB LIBSRC ../libde265/*.c ../extra/*.c)
+file(GLOB LIBSRC ../libde265/*.cc ../extra/*.c)
 file(GLOB LIBINC ../libde265/*.h ../extra/*.h)
 file(GLOB APPSRC dec265.cc)
-file(GLOB ASMSRC0 ../libde265/x86/sse.c ../libde265/x86/sse-dct.c)
-file(GLOB ASMSRC1 ../libde265/x86/sse-motion.c)
+file(GLOB ASMSRC0 ../libde265/x86/sse.cc ../libde265/x86/sse-dct.cc)
+file(GLOB ASMSRC1 ../libde265/x86/sse-motion.cc)
 file(GLOB ASMINC ../libde265/x86/*.h)
 
 source_group(INC  FILES ${LIBINC})

=== debian/changelog ===
libde265 (0.9-1) unstable; urgency=low

  * Updated symbols to make all "std::vector" symbols optional.
  * Imported Upstream version 0.9
  * Removed deprecated patch to update symbols visibility. Changes were
    applied upstream.
  * Upstream supports compiling against Qt5, prefer that over Qt4.
  * Added new symbols from new upstream release.

 -- Joachim Bauch <bauch@struktur.de>  Tue, 16 Sep 2014 18:47:14 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  dh-autoreconf,
  libjpeg-dev,
  libpng-dev,
- libqt4-dev,
+ qtbase5-dev | libqt4-dev,
  libsdl-dev,
  libswscale-dev,
  libtool,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_install:
	dh_auto_install
	cd $(CURDIR)/debian/tmp/usr/bin/ && mv dec265 libde265-dec265
	if [ -e "$(CURDIR)/debian/tmp/usr/bin/sherlock265" ]; then \
		cd $(CURDIR)/debian/tmp/usr/bin/ && mv sherlock265 \
			libde265-sherlock265; \
	fi

override_dh_strip:
	dh_strip -plibde265-0 --dbg-package=libde265-dbg
	dh_strip --remaining-packages

## libde265 1.0.2

=== CMakeLists.txt ===
project (libde265)
cmake_minimum_required (VERSION 2.8)

# The version number.
set (NUMERIC_VERSION 0x01000000)
set (PACKAGE_VERSION 1.0.0)

include (${CMAKE_ROOT}/Modules/CheckCCompilerFlag.cmake)
include (${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)
include (${CMAKE_ROOT}/Modules/FindSDL.cmake)
include (${CMAKE_ROOT}/Modules/FindThreads.cmake)

CHECK_INCLUDE_FILE(malloc.h HAVE_MALLOC_H)
CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILE(stdbool.h HAVE_STDBOOL_H)

if (HAVE_MALLOC_H)
  add_definitions(-DHAVE_MALLOC_H)
endif()
if (HAVE_STDINT_H)
  add_definitions(-DHAVE_STDINT_H)
endif()
if (HAVE_STDBOOL_H)
  add_definitions(-DHAVE_STDBOOL_H)
endif()

configure_file (
  "${PROJECT_SOURCE_DIR}/libde265/de265-version.h.in"
  "${PROJECT_BINARY_DIR}/libde265/de265-version.h"
)

if(CMAKE_COMPILER_IS_GNUCXX)
  set(GCC 1)
  add_definitions(-Wall)
  set(CMAKE_CXX_FLAGS "-std=gnu++0x ${CMAKE_CXX_FLAGS}")
elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
  add_definitions(-Wall)
  set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
endif()

option(DISABLE_SSE "Disable SSE optimizations")
if(NOT ${DISABLE_SSE} EQUAL OFF)
  if(MSVC)
    set(SUPPORTS_SSE4_1 1)
  else()
    CHECK_C_COMPILER_FLAG(-msse4.1 SUPPORTS_SSE4_1)
  endif()
endif()

include_directories ("${PROJECT_SOURCE_DIR}")
include_directories ("${PROJECT_BINARY_DIR}")
include_directories ("${PROJECT_SOURCE_DIR}/libde265")
if(MSVC)
  include_directories ("${PROJECT_SOURCE_DIR}/extra")
  add_definitions(-DHAVE_STDINT_H)
  add_definitions(-DHAVE_STDBOOL_H)
  add_definitions(-DNOMINMAX)
endif()

if(UNIX)
  set(LIBDE265_LIBRARY_NAME de265)
else()
  set(LIBDE265_LIBRARY_NAME libde265)
endif()

add_subdirectory (libde265)
add_subdirectory (dec265)
add_subdirectory (enc265)

=== dec265/CMakeLists.txt ===
set (dec265_sources
  dec265.cc
)

set (hdrcopy_sources
  hdrcopy.cc
)

if(MSVC)
  set (dec265_sources
    ${dec265_sources}
    ../extra/getopt.c
    ../extra/getopt_long.c
  )
  set (hdrcopy_sources
    ${hdrcopy_sources}
    ../extra/getopt.c
    ../extra/getopt_long.c
  )
endif()

if(SDL_FOUND)
  add_definitions(-DHAVE_SDL)
  include_directories ("${SDL_INCLUDE_DIR}")
  set (dec265_sources
    ${dec265_sources}
    sdl.cc
  )
endif()

add_executable (dec265 ${dec265_sources})

target_link_libraries (dec265 ${LIBDE265_LIBRARY_NAME} ${SDL_LIBRARY})


if(NOT MSVC)
  # hdrcopy uses internal APIs that are not available when compiled for Windows
  add_executable (hdrcopy ${hdrcopy_sources})

  target_link_libraries (hdrcopy ${LIBDE265_LIBRARY_NAME})
endif()

=== enc265/CMakeLists.txt ===
set (enc265_sources
  enc265.cc
)

if(MSVC)
  set (enc265_sources
    ${enc265_sources}
    ../extra/getopt.c
    ../extra/getopt_long.c
  )
endif()

add_executable (enc265 ${enc265_sources})

target_link_libraries (enc265 ${LIBDE265_LIBRARY_NAME})

=== libde265/CMakeLists.txt ===
set (libde265_sources 
  bitstream.cc
  cabac.cc
  de265.cc
  deblock.cc
  decctx.cc
  nal-parser.cc
  nal-parser.h
  dpb.cc
  dpb.h
  image.cc
  intrapred.cc
  md5.cc
  nal.cc
  pps.cc
  transform.cc
  refpic.cc
  sao.cc
  scan.cc
  sei.cc
  slice.cc
  sps.cc
  util.cc
  vps.cc
  bitstream.h
  cabac.h
  deblock.h
  decctx.h
  image.h
  intrapred.h
  md5.h
  nal.h
  pps.h
  transform.h
  refpic.h
  sao.h
  scan.h
  sei.h
  slice.h
  sps.h
  util.h
  vps.h
  vui.h vui.cc
  motion.cc motion.h
  threads.cc threads.h
  visualize.cc visualize.h
  acceleration.h
  fallback.cc fallback.h fallback-motion.cc fallback-motion.h
  fallback-dct.h fallback-dct.cc
  quality.cc quality.h
  configparam.cc configparam.h
  image-io.h image-io.cc
  alloc_pool.h alloc_pool.cc
  en265.h en265.cc
  contextmodel.cc
)

if(MSVC)
  set (libde265_sources
    ${libde265_sources}
    ../extra/win32cond.c
    ../extra/win32cond.h
  )
endif()

add_definitions(-DLIBDE265_EXPORTS)

add_library(${LIBDE265_LIBRARY_NAME} SHARED ${libde265_sources})

target_link_libraries(${LIBDE265_LIBRARY_NAME} ${CMAKE_THREAD_LIBS_INIT})

if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
  SET_TARGET_PROPERTIES(${LIBDE265_LIBRARY_NAME} PROPERTIES COMPILE_FLAGS "-fPIC")
endif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")

add_subdirectory (encoder)

target_link_libraries(${LIBDE265_LIBRARY_NAME} encoder)

if(SUPPORTS_SSE4_1)
  add_definitions(-DHAVE_SSE4_1)
  add_subdirectory (x86)
  target_link_libraries(${LIBDE265_LIBRARY_NAME} x86)
endif()

=== libde265/encoder/CMakeLists.txt ===
set (encoder_sources 
  analyze.cc analyze.h
  encode.h encode.cc
  encoder-params.h encoder-params.cc
  encoder-context.h encoder-context.cc
  encpicbuf.h encpicbuf.cc
  sop.h sop.cc
)

add_library(encoder STATIC ${encoder_sources})

if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
  SET_TARGET_PROPERTIES(encoder PROPERTIES COMPILE_FLAGS "-fPIC")
endif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")

add_subdirectory (algo)

target_link_libraries(encoder algo)

=== libde265/x86/CMakeLists.txt ===
set (x86_sources 
  sse.cc sse.h
)

set (x86_sse_sources 
  sse-motion.cc sse-motion.h sse-dct.h sse-dct.cc
)

add_library(x86 STATIC ${x86_sources})

add_library(x86_sse STATIC ${x86_sse_sources})

set(sse_flags "")

if(NOT MSVC)
  set(sse_flags "${sse_flags} -msse4.1")
endif()

target_link_libraries(x86 x86_sse)

if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
  SET_TARGET_PROPERTIES(x86 PROPERTIES COMPILE_FLAGS "-fPIC")
  SET_TARGET_PROPERTIES(x86_sse PROPERTIES COMPILE_FLAGS "-fPIC ${sse_flags}")
endif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")

=== libde265/encoder/algo/CMakeLists.txt ===
set (algo_sources
  algo.h algo.cc
  coding-options.h coding-options.cc
  ctb-qscale.h ctb-qscale.cc
  cb-split.h cb-split.cc
  cb-intrapartmode.h cb-intrapartmode.cc
  cb-interpartmode.h cb-interpartmode.cc
  cb-skip.h cb-skip.cc
  cb-intra-inter.h cb-intra-inter.cc
  cb-mergeindex.h cb-mergeindex.cc
  tb-split.h tb-split.cc
  tb-intrapredmode.h tb-intrapredmode.cc
  pb-mv.h pb-mv.cc
)

add_library(algo STATIC ${algo_sources})

if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
  SET_TARGET_PROPERTIES(algo PROPERTIES COMPILE_FLAGS "-fPIC")
endif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")

=== debian/changelog ===
libde265 (1.0.2-2mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 29 Sep 2016 10:37:45 -0700

libde265 (1.0.2-2) unstable; urgency=low

  [ Joachim Bauch ]
  * Added patch by Andreas Cadhalpun to fix compilation with FFmpeg 2.9
    (Closes: #803834)
  * Updated symbols file for new C++11 symbols.

  [ Sebastian Ramacher ]
  * Migrate to automatic dbg packages.
  * debian/control: Remove some unnecessary Build-Depends.

 -- Joachim Bauch <bauch@struktur.de>  Mon, 11 Jan 2016 19:12:19 +0100

libde265 (1.0.2-1) unstable; urgency=low

  * Imported Upstream version 1.0.2
  * Added new files to copyright information.
  * Only export decoder API and update symbols for new version.

 -- Joachim Bauch <bauch@struktur.de>  Thu, 16 Jul 2015 11:07:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: libde265
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Joachim Bauch <bauch@struktur.de>
 Build-Depends:
- autoconf,
- automake,
- debhelper (>= 9~),
+ debhelper (>= 9.20151219),
  dh-autoreconf,
  libjpeg-dev,
  libpng-dev,
  qtbase5-dev | libqt4-dev,
  libsdl-dev,
  libswscale-dev,
- libtool,
  libx11-dev,
  libxext-dev,
  libxv-dev,
- pkg-config,
- quilt
-Standards-Version: 3.9.5
+ pkg-config
+Standards-Version: 3.9.6
 Homepage: https://github.com/strukturag/libde265
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/libde265.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libde265.git
@@ -52,23 +50,6 @@
  The development headers for compiling programs that use libde265
  are provided by this package.
 
-Package: libde265-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- libde265-0 (= ${binary:Version}),
- ${misc:Depends}
-Description: Open H.265 video codec implementation - debug symbols
- libde265 is an open source implementation of the H.265 video codec.
- It is written from scratch in plain C for simplicity and efficiency.
- Its simple API makes it easy to integrate it into other software.
- .
- The debugging symbols for tracking down bugs in applications that
- use libde265 are provided by this package.
-
 Package: libde265-examples
 Section: video
 Architecture: any

## libde265 1.0.3

=== debian/changelog ===
libde265 (1.0.3-1+rpi1) buster-staging; urgency=medium

  [changes brought forward from 1.0.2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 04 Oct 2015 21:44:10 +0000]
  * Disable neon.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 26 Apr 2018 05:53:11 +0000

libde265 (1.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Joachim Bauch ]
  * Imported Upstream version 1.0.3
  * Update patches for new upstream version.
  * Update symbols for new upstream version.
  * Update standards version and switch to debhelper 10.

 -- Joachim Bauch <bauch@struktur.de>  Thu, 19 Apr 2018 11:44:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install
@@ -13,5 +13,4 @@
 	fi
 
 override_dh_strip:
-	dh_strip -plibde265-0 --dbg-package=libde265-dbg
-	dh_strip --remaining-packages
+	dh_strip --ddeb-migration='libde265-dbg (<< 1.0.2-2~)'

## libde265 1.0.3.1

=== enc265/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set (enc265_sources
   enc265.cc
+  image-io-png.cc
 )
 
 if(MSVC)

=== libde265/encoder/CMakeLists.txt ===
set (encoder_sources
  encoder-core.cc encoder-core.h
  encoder-types.h encoder-types.cc
  encoder-params.h encoder-params.cc
  encoder-context.h encoder-context.cc
  encoder-syntax.h encoder-syntax.cc
  encpicbuf.h encpicbuf.cc
  sop.h sop.cc
)

add_subdirectory (algo)
add_library(encoder OBJECT ${encoder_sources})
set(ENCODER_OBJECTS $<TARGET_OBJECTS:encoder> ${ALGO_OBJECTS} PARENT_SCOPE)

if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
  SET_TARGET_PROPERTIES(encoder PROPERTIES COMPILE_FLAGS "-fPIC")
endif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")

=== debian/changelog ===
libde265 (1.0.3.1-1+rebuild1) UNRELEASED; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Fri, 22 Jan 2021 11:48:02 +0800

libde265 (1.0.3.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: ed3dc86431519d3d0df2b1e8709d1c4431230154']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:05:09 +0000

## libde265 1.0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project (libde265)
-cmake_minimum_required (VERSION 2.8)
+cmake_minimum_required (VERSION 2.8.8)
 
 # The version number.
 set (NUMERIC_VERSION 0x01000000)

=== libde265/CMakeLists.txt ===
--- 
+++ 
@@ -65,20 +65,16 @@
 
 add_definitions(-DLIBDE265_EXPORTS)
 
-add_library(${LIBDE265_LIBRARY_NAME} SHARED ${libde265_sources})
+add_subdirectory (encoder)
 
+if(SUPPORTS_SSE4_1)
+  add_definitions(-DHAVE_SSE4_1)
+  add_subdirectory (x86)
+endif()
+
+add_library(${LIBDE265_LIBRARY_NAME} SHARED ${libde265_sources} ${ENCODER_OBJECTS} ${X86_OBJECTS})
 target_link_libraries(${LIBDE265_LIBRARY_NAME} ${CMAKE_THREAD_LIBS_INIT})
 
 if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
   SET_TARGET_PROPERTIES(${LIBDE265_LIBRARY_NAME} PROPERTIES COMPILE_FLAGS "-fPIC")
 endif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
-
-add_subdirectory (encoder)
-
-target_link_libraries(${LIBDE265_LIBRARY_NAME} encoder)
-
-if(SUPPORTS_SSE4_1)
-  add_definitions(-DHAVE_SSE4_1)
-  add_subdirectory (x86)
-  target_link_libraries(${LIBDE265_LIBRARY_NAME} x86)
-endif()

=== libde265/x86/CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
   sse-motion.cc sse-motion.h sse-dct.h sse-dct.cc
 )
 
-add_library(x86 STATIC ${x86_sources})
+add_library(x86 OBJECT ${x86_sources})
 
-add_library(x86_sse STATIC ${x86_sse_sources})
+add_library(x86_sse OBJECT ${x86_sse_sources})
 
 set(sse_flags "")
 
@@ -16,7 +16,7 @@
   set(sse_flags "${sse_flags} -msse4.1")
 endif()
 
-target_link_libraries(x86 x86_sse)
+set(X86_OBJECTS $<TARGET_OBJECTS:x86> $<TARGET_OBJECTS:x86_sse> PARENT_SCOPE)
 
 if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
   SET_TARGET_PROPERTIES(x86 PROPERTIES COMPILE_FLAGS "-fPIC")

=== libde265/encoder/algo/CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,14 @@
   cb-intra-inter.h cb-intra-inter.cc
   cb-mergeindex.h cb-mergeindex.cc
   tb-split.h tb-split.cc
+  tb-transform.h tb-transform.cc
   tb-intrapredmode.h tb-intrapredmode.cc
+  tb-rateestim.h tb-rateestim.cc
   pb-mv.h pb-mv.cc
 )
 
-add_library(algo STATIC ${algo_sources})
+add_library(algo OBJECT ${algo_sources})
+set(ALGO_OBJECTS $<TARGET_OBJECTS:algo> PARENT_SCOPE)
 
 if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
   SET_TARGET_PROPERTIES(algo PROPERTIES COMPILE_FLAGS "-fPIC")

=== debian/changelog ===
libde265 (1.0.3.3-deepin1) unstable; urgency=medium

   * fix: 更新libde265版本到1.0.3-1+deb10u3，修复CVE安全漏洞
        CVE-2022-47655 CVE-2022-43253 CVE-2022-43252 CVE-2022-43250 CVE-2022-43249 CVE-2022-43248
        CVE-2022-43245 CVE-2022-43244 CVE-2022-43243 CVE-2022-43242 CVE-2022-43241 CVE-2022-43240
        CVE-2022-43239 CVE-2022-43238 CVE-2022-43237 CVE-2022-43236 CVE-2022-43235 CVE-2021-36411
        CVE-2021-36410 CVE-2021-36408 CVE-2021-35452 CVE-2020-21606 CVE-2020-21605 CVE-2020-21604
        CVE-2020-21603 CVE-2020-21602 CVE-2020-21601 CVE-2020-21600 CVE-2020-21599 CVE-2020-21597
        CVE-2020-21596 CVE-2020-21595 CVE-2020-21594

 -- zengwei <zengwei1@uniontech.com>  Sun, 29 Jan 2023 16:14:15 +0800

libde265 (1.0.3.2-deepin1) unstable; urgency=medium

  * fix CVE-2021-36409.

 -- dinghao <dinghao@uniontech.com>  Mon, 26 Dec 2022 17:33:10 +0800

## libde265 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.3.2)

project (libde265
    LANGUAGES C CXX
    VERSION 1.0.4
)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# The version number.
set (NUMERIC_VERSION 0x01000400)
set (PACKAGE_VERSION ${PROJECT_VERSION})

include (${CMAKE_ROOT}/Modules/CheckCCompilerFlag.cmake)
include (${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)
include(GNUInstallDirs)
include(CheckCCompilerFlag)
include(CheckFunctionExists)
include(CheckIncludeFile)

find_package(SDL)
find_package(Threads REQUIRED)

CHECK_INCLUDE_FILE(malloc.h HAVE_MALLOC_H)
CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILE(stdbool.h HAVE_STDBOOL_H)

if (HAVE_MALLOC_H)
  add_definitions(-DHAVE_MALLOC_H)
endif()
if (HAVE_STDINT_H)
  add_definitions(-DHAVE_STDINT_H)
endif()
if (HAVE_STDBOOL_H)
  add_definitions(-DHAVE_STDBOOL_H)
endif()

configure_file (libde265/de265-version.h.in libde265/de265-version.h)

if(CMAKE_COMPILER_IS_GNUCXX OR ${CMAKE_CXX_COMPILER_ID} MATCHES Clang)
  add_definitions(-Wall)
endif()

option(DISABLE_SSE "Disable SSE optimizations")
if(NOT ${DISABLE_SSE} EQUAL OFF)
  if(MSVC)
    set(SUPPORTS_SSE4_1 1)
  else()
    CHECK_C_COMPILER_FLAG(-msse4.1 SUPPORTS_SSE4_1)
  endif()
endif()

include_directories ("${PROJECT_SOURCE_DIR}")
include_directories ("${PROJECT_BINARY_DIR}")
include_directories ("${PROJECT_SOURCE_DIR}/libde265")
if(MSVC)
  include_directories ("${PROJECT_SOURCE_DIR}/extra")
  add_definitions(-DHAVE_STDINT_H)
  add_definitions(-DHAVE_STDBOOL_H)
  add_definitions(-DNOMINMAX)
endif()

add_subdirectory (libde265)
add_subdirectory (dec265)
add_subdirectory (enc265)

=== dec265/CMakeLists.txt ===
add_executable (dec265 dec265.cc)

target_link_libraries (dec265 PRIVATE ${PROJECT_NAME})

if(SDL_FOUND)
  target_sources(dec265 PRIVATE sdl.cc)
  target_compile_definitions(dec265 PRIVATE HAVE_SDL)
  target_include_directories (dec265 PRIVATE "${SDL_INCLUDE_DIR}")
  target_link_libraries (dec265 PRIVATE ${SDL_LIBRARY})
endif()

if(MSVC)
  target_sources(dec265 PRIVATE 
    ../extra/getopt.c
    ../extra/getopt_long.c
  )
endif()

if(NOT MSVC)
  # hdrcopy uses internal APIs that are not available when compiled for Windows
  add_executable (hdrcopy hdrcopy.cc)

  target_link_libraries (hdrcopy PRIVATE ${PROJECT_NAME})
endif()

=== libde265/encoder/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,3 @@
 add_subdirectory (algo)
 add_library(encoder OBJECT ${encoder_sources})
 set(ENCODER_OBJECTS $<TARGET_OBJECTS:encoder> ${ALGO_OBJECTS} PARENT_SCOPE)
-
-if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
-  SET_TARGET_PROPERTIES(encoder PROPERTIES COMPILE_FLAGS "-fPIC")
-endif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")

=== debian/changelog ===
libde265 (1.0.4-1ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: denial-of-service
    - debian/patches/CVE-2023-27102.patch: check whether referenced
      PPS exists.
    - CVE-2023-27102
  * SECURITY UPDATE: heap-buffer-overflow
    - debian/patches/CVE-2023-27103.patch: check for valid slice
      header index access.
    - CVE-2023-27103
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-43887.patch: fix buffer overflow via the
      num_tile_columns and num_tile_row parameters in the function
      pic_parameter_set::dump.
    - CVE-2023-43887
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-47471.patch: check for null-pointer in
      functon slice_segment_header::dump_slice_segment_header.
    - CVE-2023-47471
  * SECURITY UPDATE: heap-buffer-overflow
    - debian/patches/CVE-2023-49465.patch: fix buffer overflow via the
      derive_spatial_luma_vector_prediction function.
    - CVE-2023-49465
  * SECURITY UPDATE: heap-buffer-overflow
    - debian/patches/CVE-2023-49467.patch: prevent endless loop in
      decode_ref_idx_lX function when numRefIdxLXActive is invalid.
    - CVE-2023-49467
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-49468.patch: sanitize values if IPM is
      uninitialized in get_IntraPredMode function.
    - CVE-2023-49468

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 01 Mar 2024 10:52:18 +0100

libde265 (1.0.4-1ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: read-out-of-bounds
    - debian/patches/CVE-2022-43245.patch: fix illegal table access
      when input pixel is out of range.
    - CVE-2022-43245
  * SECURITY UPDATE: heap-buffer-overflow
    - debian/patches/CVE-2022-43249.patch: checking in MC whether
      bit-depths match.
    - CVE-2022-43244
    - CVE-2022-43249
    - CVE-2022-43250
  * SECURITY UPDATE: heap-buffer-overflow
    - debian/patches/CVE-2022-47665.patch: image's ctb_info has to be
      reallocated also when dimensions change even if total number of
      CTBs stays the same.
    - CVE-2022-47665
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2023-24751.patch: another MC fix for
      monochroma images.
    - CVE-2023-24751
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2023-24752.patch: another MC fix for
      monochroma images.
    - CVE-2023-24752
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2023-24754.patch: fix for monochrome MC.
    - CVE-2023-24754
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2023-24755.patch: fix for monochrome MC.
    - CVE-2023-24755
    - CVE-2023-24756
    - CVE-2023-24757
    - CVE-2023-24758
  * SECURITY UPDATE: heap-buffer-overflow
    - debian/patches/CVE-2023-25221.patch: check for invalid refIdx.
    - CVE-2023-25221
  * Add patches:
    - d/p/check-for-negative-q-values-in-invalid-input-streams.patch

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Wed, 14 Feb 2024 20:39:49 +0100

libde265 (1.0.4-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: denial-of-service
    - debian/patches/CVE-2021-35452.patch: fix check for valid PPS idx.
    - CVE-2021-35452
  * SECURITY UPDATE: heap-buffer-overflow
    - debian/patches/CVE-2021-36409.patch: fix assertion when reading
      invalid scaling_list.
    - CVE-2021-36409
  * SECURITY UPDATE: stack-buffer-overflow
    - debian/patches/CVE-2021-36410.patch: fix MC with HDR chroma, but
      SDR luma.
    - CVE-2021-36410
  * SECURITY UPDATE: read-out-of-bounds
    - debian/patches/CVE-2021-36411.patch: fix reading invalid images
      where shdr references are NULL in part of the image.
    - CVE-2021-36411
  * SECURITY UPDATE: stack-buffer-overflow
    - debian/patches/CVE-2022-43236.patch: check that image bit-depth
      matches SPS bit depth.
    - CVE-2022-43235
    - CVE-2022-43236
    - CVE-2022-43248
    - CVE-2022-43253
  * SECURITY UPDATE: stack-buffer-overflow
    - debian/patches/CVE-2022-43237.patch: check that image chroma
      format matches the SPS chroma format.
    - CVE-2022-43237
    - CVE-2022-43243
    - CVE-2022-43252
  * SECURITY UPDATE: read-out-of-bounds
    - debian/patches/CVE-2022-43238.patch: check that image size
      matches sps.
    - CVE-2022-43238
    - CVE-2022-43239
    - CVE-2022-43240
    - CVE-2022-43241
    - CVE-2022-43242
  * Add d/p/fix-invalid-memory-access-after-unavailable-reference-frame-insertion.patch

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Tue, 06 Feb 2024 16:51:20 +0100

libde265 (1.0.4-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: buffer overflow vulnerability
    - debian/patches/CVE-2020-21596.patch: initialize newly created
      CABAC model table.
    - CVE-2020-21596
  * SECURITY UPDATE: heap buffer overflow vulnerability
    - debian/patches/CVE-2020-21605.patch: return error when PCM bits
      parameter exceeds pixel depth.
    - CVE-2020-21595
    - CVE-2020-21599
    - CVE-2020-21600
    - CVE-2020-21601
    - CVE-2020-21602
    - CVE-2020-21603
    - CVE-2020-21604
    - CVE-2020-21605
  * SECURITY UPDATE: use-after-free vulnerability
    - debian/patches/CVE-2021-36408.patch: fix streams where SPS image
      size changes without refreshing PPS.
    - CVE-2020-21597
    - CVE-2020-21598
    - CVE-2020-21606
    - CVE-2021-36408 

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 26 Jan 2024 20:57:57 +0100

libde265 (1.0.4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:45:42 +0100

libde265 (1.0.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Joachim Bauch ]
  * Imported Upstream version 1.0.4
  * Enable hardening.
  * Specify Build-Depends-Package in symbols.
  * Ignore more internal STL symbols.
  * Bump "Standards-Version" to 4.4.1
  * Update to debhelper compat level 12.



=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: libde265
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Joachim Bauch <bauch@struktur.de>
 Build-Depends:
- debhelper (>= 9.20151219),
- dh-autoreconf,
+ debhelper-compat (= 12),
  libjpeg-dev,
  libpng-dev,
  qtbase5-dev | libqt4-dev,
@@ -19,10 +17,10 @@
  libxext-dev,
  libxv-dev,
  pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 4.4.1
 Homepage: https://github.com/strukturag/libde265
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/libde265.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libde265.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/libde265.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libde265
 
 Package: libde265-0
 Architecture: any

## libde265 1.0.8

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.3.2)

project (libde265
    LANGUAGES C CXX
    VERSION 1.0.8
)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# The version number.
set (NUMERIC_VERSION 0x01000800)
set (PACKAGE_VERSION ${PROJECT_VERSION})

include (${CMAKE_ROOT}/Modules/CheckCCompilerFlag.cmake)
include (${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)

include(GNUInstallDirs)
include(CheckFunctionExists)

find_package(SDL)
find_package(Threads REQUIRED)

CHECK_INCLUDE_FILE(malloc.h HAVE_MALLOC_H)
CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILE(stdbool.h HAVE_STDBOOL_H)
CHECK_FUNCTION_EXISTS(posix_memalign HAVE_POSIX_MEMALIGN)

if (HAVE_MALLOC_H)
  add_definitions(-DHAVE_MALLOC_H)
endif()
if (HAVE_STDINT_H)
  add_definitions(-DHAVE_STDINT_H)
endif()
if (HAVE_STDBOOL_H)
  add_definitions(-DHAVE_STDBOOL_H)
endif()
if (HAVE_POSIX_MEMALIGN)
  add_definitions(-DHAVE_POSIX_MEMALIGN)
endif()

configure_file (libde265/de265-version.h.in libde265/de265-version.h)

if(CMAKE_COMPILER_IS_GNUCXX OR ${CMAKE_CXX_COMPILER_ID} MATCHES Clang)
  add_definitions(-Wall)
endif()

option(DISABLE_SSE "Disable SSE optimizations" OFF)

option(BUILD_SHARED_LIBS "Build shared library" ON)
if(NOT BUILD_SHARED_LIBS)
  add_definitions(-DLIBDE265_STATIC_BUILD)
endif()

include_directories ("${PROJECT_SOURCE_DIR}")
include_directories ("${PROJECT_BINARY_DIR}")
include_directories ("${PROJECT_SOURCE_DIR}/libde265")
if(MSVC)
  include_directories ("${PROJECT_SOURCE_DIR}/extra")
  add_definitions(-DHAVE_STDINT_H)
  add_definitions(-DHAVE_STDBOOL_H)
endif()

add_subdirectory (libde265)
add_subdirectory (dec265)
add_subdirectory (enc265)

=== enc265/CMakeLists.txt ===
add_executable (enc265 
  enc265.cc
  image-io-png.cc
)

if(MSVC)
  target_sources(enc265 PRIVATE
    ../extra/getopt.c
    ../extra/getopt_long.c
  )
endif()

target_link_libraries (enc265 PRIVATE ${PROJECT_NAME})

install (TARGETS enc265 DESTINATION ${CMAKE_INSTALL_BINDIR})

=== libde265/CMakeLists.txt ===
include(CMakePackageConfigHelpers)

set (libde265_sources 
  alloc_pool.cc
  bitstream.cc
  cabac.cc
  configparam.cc
  contextmodel.cc
  de265.cc
  deblock.cc
  decctx.cc
  dpb.cc
  en265.cc
  fallback-dct.cc
  fallback-motion.cc 
  fallback.cc
  image-io.cc
  image.cc
  intrapred.cc
  md5.cc
  motion.cc
  nal-parser.cc
  nal.cc
  pps.cc
  quality.cc
  refpic.cc
  sao.cc
  scan.cc
  sei.cc
  slice.cc
  sps.cc
  threads.cc
  transform.cc
  util.cc
  visualize.cc
  vps.cc
  vui.cc
)

set (libde265_headers
  acceleration.h
  alloc_pool.h
  bitstream.h
  cabac.h
  configparam.h
  de265-version.h
  contextmodel.h
  de265.h
  deblock.h
  decctx.h
  dpb.h
  en265.h
  fallback-dct.h
  fallback-motion.h
  fallback.h
  image-io.h
  image.h
  intrapred.h
  md5.h
  motion.h
  nal-parser.h
  nal.h
  pps.h
  quality.h
  refpic.h
  sao.h
  scan.h
  sei.h
  slice.h
  sps.h
  threads.h
  transform.h
  util.h
  visualize.h
  vps.h
  vui.h
)

if(MSVC OR MINGW)
  set (libde265_sources
    ${libde265_sources}
    ../extra/win32cond.c
    ../extra/win32cond.h
  )
endif()

add_definitions(-DLIBDE265_EXPORTS)

add_subdirectory (encoder)

if(NOT DISABLE_SSE)
  if (MSVC)
    set(SUPPORTS_SSE2 1)
    set(SUPPORTS_SSSE3 1)
    set(SUPPORTS_SSE4_1 1)
  else (MSVC)
    check_c_compiler_flag(-msse2 SUPPORTS_SSE2)
    check_c_compiler_flag(-mssse3 SUPPORTS_SSSE3)
    check_c_compiler_flag(-msse4.1 SUPPORTS_SSE4_1)
  endif (MSVC)

  if(SUPPORTS_SSE4_1)
    add_definitions(-DHAVE_SSE4_1)
  endif()
  if(SUPPORTS_SSE4_1 OR (SUPPORTS_SSE2 AND SUPPORTS_SSSE3))
    add_subdirectory (x86)
  endif()
endif()

add_library(${PROJECT_NAME} ${libde265_sources} ${ENCODER_OBJECTS} ${X86_OBJECTS})
target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads)

write_basic_package_version_file(${PROJECT_NAME}ConfigVersion.cmake COMPATIBILITY ExactVersion)

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}Config
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(FILES ${libde265_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/de265-version.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})

install(EXPORT ${PROJECT_NAME}Config DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake DESTINATION
    "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

=== libde265/encoder/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,8 @@
   encoder-params.h encoder-params.cc
   encoder-context.h encoder-context.cc
   encoder-syntax.h encoder-syntax.cc
+  encoder-intrapred.h encoder-intrapred.cc
+  encoder-motion.h encoder-motion.cc
   encpicbuf.h encpicbuf.cc
   sop.h sop.cc
 )

=== libde265/x86/CMakeLists.txt ===
set (x86_sources 
  sse.cc sse.h
)

set (x86_sse_sources 
  sse-motion.cc sse-motion.h sse-dct.h sse-dct.cc
)

add_library(x86 OBJECT ${x86_sources})

add_library(x86_sse OBJECT ${x86_sse_sources})

set(sse_flags "")

if(NOT MSVC)
  if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(sse_flags "${sse_flags} -msse4.1")
  else(CMAKE_SIZEOF_VOID_P EQUAL 8)
      set(sse_flags "${sse_flags} -msse2 -mssse3 -msse4.1")
  endif(CMAKE_SIZEOF_VOID_P EQUAL 8)
endif()

set(X86_OBJECTS $<TARGET_OBJECTS:x86> $<TARGET_OBJECTS:x86_sse> PARENT_SCOPE)

SET_TARGET_PROPERTIES(x86_sse PROPERTIES COMPILE_FLAGS "${sse_flags}")

=== debian/changelog ===
libde265 (1.0.8-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 27 Dec 2021 12:02:34 -0800

libde265 (1.0.8-1) unstable; urgency=medium

  * Update to debhelper compat level 13 and add debian/not-installed
  * Imported Upstream version 1.0.8
  * Remove patch applied upstream.
  * Bump "Standards-Version" to 4.5.1

 -- Joachim Bauch <bauch@struktur.de>  Wed, 16 Dec 2020 16:32:29 +0100

libde265 (1.0.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Joachim Bauch ]
  * Imported Upstream version 1.0.7
  * Update patches for new upstream version.
  * Update symbols for new upstream version.
  * Bump "Standards-Version" to 4.5.0

 -- Joachim Bauch <bauch@struktur.de>  Fri, 25 Sep 2020 13:00:59 +0200

=== debian/control ===
Source: libde265
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
           Joachim Bauch <bauch@struktur.de>
Build-Depends: debhelper-compat (= 12),
               libjpeg-dev,
               libpng-dev,
               libsdl-dev,
               libswscale-dev,
               libx11-dev,
               libxext-dev,
               libxv-dev,
               pkg-config,
               qtbase5-dev | libqt4-dev
Standards-Version: 4.5.1
Homepage: https://github.com/strukturag/libde265
Vcs-Git: https://salsa.debian.org/multimedia-team/libde265.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libde265

Package: libde265-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Open H.265 video codec implementation
 libde265 is an open source implementation of the H.265 video codec.
 It is written from scratch in plain C for simplicity and efficiency.
 Its simple API makes it easy to integrate it into other software.

Package: libde265-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: libde265-0 (= ${binary:Version}), ${misc:Depends}
Description: Open H.265 video codec implementation - development files
 libde265 is an open source implementation of the H.265 video codec.
 It is written from scratch in plain C for simplicity and efficiency.
 Its simple API makes it easy to integrate it into other software.
 .
 The development headers for compiling programs that use libde265
 are provided by this package.

Package: libde265-examples
Section: video
Architecture: any
Depends: libde265-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Open H.265 video codec implementation - examples
 libde265 is an open source implementation of the H.265 video codec.
 It is written from scratch in plain C for simplicity and efficiency.
 Its simple API makes it easy to integrate it into other software.
 .
 Sample applications using libde265 are provided by this package.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -12,5 +14,6 @@
 			libde265-sherlock265; \
 	fi
 
+# MX don't need no stinkin' dbgsyms
 override_dh_strip:
-	dh_strip --ddeb-migration='libde265-dbg (<< 1.0.2-2~)'
+	dh_strip --no-automatic-dbgsym

## libde265 1.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project (libde265
     LANGUAGES C CXX
-    VERSION 1.0.8
+    VERSION 1.0.9
 )
 
 set(CMAKE_CXX_STANDARD 11)
@@ -20,7 +20,12 @@
 include(GNUInstallDirs)
 include(CheckFunctionExists)
 
-find_package(SDL)
+option(ENABLE_SDL "Enable SDL" ON)
+
+if (ENABLE_SDL)
+	find_package(SDL)
+endif()
+
 find_package(Threads REQUIRED)
 
 CHECK_INCLUDE_FILE(malloc.h HAVE_MALLOC_H)

=== debian/changelog ===
libde265 (1.0.9-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Dec 2022 15:55:32 -0800

libde265 (1.0.9-1) unstable; urgency=medium

  * Add "Rules-Requires-Root: no".
  * New upstream version 1.0.9
  * Remove patches now part of upstream release.
  * Bump "Standards-Version" to 4.6.1
  * Add patch to provide "gl_VISIBILITY" macro.
  * Update symbols for new upstream version.

 -- Joachim Bauch <bauch@struktur.de>  Tue, 25 Oct 2022 10:15:37 +0200

libde265 (1.0.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import upstream fixes for CVE-tracked vulnerabilities
    (Closes: #1014977)
    - CVE-2022-1253
    - CVE-2021-36411
    - CVE-2021-36410
    - CVE-2021-36409
    - CVE-2021-36408
    - CVE-2021-35452

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Oct 2022 15:26:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>,
            Joachim Bauch <bauch@struktur.de>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libjpeg-dev,
                libpng-dev,
                libsdl-dev,
@@ -15,7 +15,8 @@
                libxv-dev,
                pkg-config,
                qtbase5-dev | libqt4-dev
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Homepage: https://github.com/strukturag/libde265
 Vcs-Git: https://salsa.debian.org/multimedia-team/libde265.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libde265

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export QT_SELECT=5
 
 %:
 	dh $@
@@ -14,6 +15,6 @@
 			libde265-sherlock265; \
 	fi
 
-# MX don't need no stinkin' dbgsyms
+# No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
